Update an L4 Load Balancer

PUT/v1/load_balancers/l4/{id}

To make changes in the balancer's configuration, perform a PUT request to the /v1/load_balancers/l4/{id} endpoint. Modified parameters have to be specified in the request.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

A unique identifier of a balancer.

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/load_balancers/l4/oQeZ6Jep" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "y5eVOMaE",  "name": "name640",  "type": "l4",  "status": "active",  "external_addresses": [    "101.0.0.38"  ],  "location_id": 619,  "proxy_protocol_enabled": false,  "store_logs": false,  "vhost_zones": [    {      "udp": false,      "proxy_protocol": false,      "id": "string53",      "ports": [        273      ],      "acl_list": [        "127.1.88.0/24"      ],      "acl_allow": false,      "description": "string54",      "upstream_id": "string52"    }  ],  "upstream_zones": [    {      "method": "least_conn",      "hc_interval": 3000,      "hc_jitter": 3,      "hc_fails": 1,      "hc_passes": 3,      "udp": false,      "id": "string52",      "upstreams": [        {          "ip": "10.0.8.4",          "port": 272,          "weight": 1,          "max_conns": 63000,          "max_fails": 0,          "fail_timeout": 30,          "status": "unknown"        }      ]    }  ],  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "cluster_id": null,  "shared_cluster": true,  "created_at": "2026-05-28T06:59:18Z",  "updated_at": "2026-05-28T06:59:19Z"}
{  "id": "oQeZ6Jep",  "name": "name661",  "type": "l4",  "status": "in_process",  "external_addresses": [],  "location_id": 630,  "proxy_protocol_enabled": true,  "store_logs": true,  "vhost_zones": [    {      "udp": true,      "proxy_protocol": true,      "id": "name662",      "ports": [        316      ],      "upstream_id": "name663"    }  ],  "upstream_zones": [    {      "method": "random.least_conn",      "hc_interval": 5,      "hc_jitter": 5,      "hc_fails": 1,      "hc_passes": 3,      "udp": true,      "id": "name663",      "upstreams": [        {          "ip": "10.0.8.4",          "port": 317,          "weight": 1,          "max_conns": 63000,          "max_fails": 0,          "fail_timeout": 30,          "status": "unknown"        }      ]    }  ],  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "cluster_id": null,  "shared_cluster": true,  "created_at": "2026-05-28T06:59:23Z",  "updated_at": "2026-05-28T06:59:23Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Inactive load balancer update error",  "code": "INACTIVE_LOAD_BALANCER_UPDATE_ERROR"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "store_logs": "must be boolean",    "store_logs_region_id": "must be filled"  }}